# template: default
%global gem_name representable

Name: rubygem-%{gem_name}
Version: 3.2.0
Release: 1%{?dist}
Summary: Renders and parses JSON/XML/YAML documents from and to Ruby objects
License: MIT
URL: https://github.com/trailblazer/representable/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

# start specfile generated dependencies
Requires: ruby >= 2.4.0
BuildRequires: ruby >= 2.4.0
BuildRequires: rubygems-devel
BuildArch: noarch
# end specfile generated dependencies

%description
Renders and parses JSON/XML/YAML documents from and to Ruby objects. Includes
plain properties, collections, nesting, coercion and more.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n  %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE
%exclude %{gem_instdir}/TODO
%exclude %{gem_instdir}/TODO-4.0.md
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGES.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%exclude %{gem_instdir}/representable.gemspec
%{gem_instdir}/test

%changelog
* Tue Sep 06 2022 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> 3.2.0-1
- Update to 3.2.0

* Thu Mar 11 2021 Eric D. Helms <ericdhelms@gmail.com> - 3.0.4-3
- Rebuild against rh-ruby27

* Wed Apr 08 2020 Zach Huntington-Meath <zhunting@redhat.com> - 3.0.4-2
- Bump to release for EL8

* Thu Mar 14 2019 kgaikwad <kavitagaikwad103@gmail.com> 3.0.4-1
- Add rubygem-representable generated by gem2rpm using the scl template

